<?php
declare(strict_types=1);

namespace WHOOP\Entities\Elements;

use WHOOP\Entities\Element;

class Input extends Element
{
  public const TAG = 'input';
  protected static bool $selfClosing = true;

  public static function createSearch(array $attributes = []): self
  {
    return self::create('', array_replace_recursive($attributes, ['type' => 'search']));
  }
}
